1.409,08 €
See the offer
D-Link · Network Switch
D-Link DGS-1100-26MPV2/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black price in Italy
Model DGS-1100-26MPV2/EMPN DGS-1100-26MPV2/EEAN 790069467868EAN 5704174940289
- Noise50.5 dB
- Weight2.8 kg
- ColourBlack
- Switch typeManaged
Lowest price incl. delivery
452,86 €
at EsseeffeFree deliveryIn stock
- 1 store
- 1 in stock
- 1 with free delivery
- Checked 23 Oct 2026, 17:42 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in Italy
1 store · prices in EUR · updated 23 Oct 2026, 17:42 UTC
Every store asks the same price.
- 1 of 1 stores in stock
- 1 with free shipping
- Checked 23 Oct 2026, 17:42 UTC
- EsseeffeLowest priceD-link dgs-1100-26mpv2/e switch di rete gestito l2 gigabit ethernet (10/100/1000) supporto power over ethernet (poe) nero In stockFree shipping452,86 €incl. free shippingGo to store : Esseeffe (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 23 Oct 2026, 17:42 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in Italy
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- D-Link
- Product
- DGS-1100-26MPV2/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
- Full name
- D-Link DGS-1100-26MPV2/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
- Manufacturer part number
- DGS-1100-26MPV2/E
- EAN / UPC
- 790069467868, 5704174940289, 7900694678680
- Category
- Network Switch
62 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| ARP inspection | Yes |
| MIB support | • RFC768 UDP • RFC791 IP • RFC792 ICMP • RFC793 TCP • RFC826 ARP • RFC1213 MIB II • RFC1493 Bridage MIB • RFC1907 SNMPv2 MIB • RFC1215 MIB Traps Convention |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 24 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Combo SFP ports quantity | 2 |
Network
| Networking standards | IEEE 802.1D, IEEE 802.1w, IEEE 802.3af, IEEE 802.3at |
|---|---|
| Copper ethernet cabling technology | 10GBASE-T, 1000BASE-T |
| Port mirroring | Yes |
| Full duplex | Yes |
| Half duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Auto-negotiation | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Head-of-line (HOL) blocking | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Port-based VLAN, Voice VLAN |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 52 Gbit/s |
| Forwarding rate | 38.69 Mpps |
| Jumbo frames support | Yes |
Security
| DHCP features | DHCP client |
|---|---|
| IGMP snooping | Yes |
| MAC address filtering | Yes |
| Security algorithms | SSL/TLS |
| Static port security | Yes |
Multicast features
| Multicast support | Yes |
|---|---|
| IPv4 multicast entries | 1 |
| IPv6 multicast entries | 1 |
| Number of multicast groups filtered | 1 |
Protocols
| IPv4 & IPv6 features | IPv4 FIB |
|---|
Design
| Rack mounting | Yes |
|---|---|
| Product colour | Black |
| Housing material | Metal |
Performance
| Flash memory | 16 MB |
|---|---|
| Noise level | 50.5 dB |
| Fanless | Yes |
| MTBF (PoE) | 317.777 h |
Power
| Power supply included | Yes |
|---|---|
| AC input voltage | 100 - 240 V |
| Power consumption (max) | 454.1 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet (PoE) ports quantity | 24 |
| Power over Ethernet plus (PoE+) ports quantity | 24 |
| Total Power over Ethernet (PoE) budget | 370 W |
Operational conditions
| Operating temperature (T-T) | -10 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 0 - 95% |
| Storage relative humidity (H-H) | 0 - 95% |
| Heat dissipation | 287 BTU/h |
Weight & dimensions
| Width | 440 mm |
|---|---|
| Depth | 208 mm |
| Height | 44 mm |
| Weight | 2.8 kg |
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
What people say
Reviews & ratings
D-Link DGS-1100-26MPV2/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
No reviews yet
Be the first to tell others how D-Link DGS-1100-26MPV2/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
More network switches deals in Italy
All network switches deals866,64 €
See the offerCudy
16-Port Gigabit Cloud Easy-Managed PoE+ Switch with 2 SFP, GS1016EPS2 1.0
- Weight
- 2.75 kg
- Colour
- Black
- Switch type
- Managed
200,68 €
See the offerCudy
16-Port Gigabit Cloud Easy-Managed Switch with 2 SFP, GS1016ES2 1.0
- Weight
- 1.69 kg
- Colour
- Black
- Switch type
- Managed
90,79 €
See the offer65,99 €
See the offerTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
118,93 €
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
253,14 €
See the offerNETGEAR
GS310TPv2 Managed L2/L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop Black
Model GS310TPv2
- Memory
- 128 MB
- Type
- Desktop
- Weight
- 610 g
159,33 €– 179,99 €
Compare 2 prices






